## org.eclipse.amp.amf.testing.aTest.impl
Class TestsImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.amp.amf.testing.aTest.impl.TestsImpl

All Implemented Interfaces:
  Tests, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class TestsImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements Tests

An implementation of the model object 'Tests'.

The following features are implemented:

- `Import URI`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getImportURI()`
`void` `setImportURI(java.lang.String newImportURI)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getImportURI

    public java.lang.String getImportURI()

  Specified by:
    `getImportURI` in interface `Tests`
  Returns:
    the value of the 'Import URI' attribute.
  See Also:
    `Tests.setImportURI(String)`, `ATestPackage.getTests_ImportURI()`

### setImportURI

    public void setImportURI(java.lang.String newImportURI)

  Specified by:
    `setImportURI` in interface `Tests`
  Parameters:
    `newImportURI` - the new value of the 'Import URI' attribute.
  See Also:
    `Tests.getImportURI()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`